From 9f9e6a1ccc4dc175d10641482354b6575047b692 Mon Sep 17 00:00:00 2001
From: Paolo Pisati <paolo.pisati@canonical.com>
Date: Thu, 13 Aug 2020 15:23:10 +0000
Subject: [PATCH] UBUNTU: SAUCE: armhf: fix 64bit mod by using div64_u64_rem()

64bit division on 32bit ARM are failing with:

ERROR: "__aeabi_uldivmod" [/home/ubuntu/sysdig/sysdig/driver/build/src/sysdig-probe.ko] undefined!

so use an explicit kernel helper - see also commit 88fb831f773e6 or many
other like that upstream

Signed-off-by: Paolo Pisati <paolo.pisati@canonical.com>
---
 driver/main.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/driver/main.c b/driver/main.c
index fab205ef..0ef27812 100644
--- a/driver/main.c
+++ b/driver/main.c
@@ -1528,8 +1528,10 @@ static inline int drop_event(struct ppm_consumer_t *consumer,
 			return 1;
 		}
 
+		nanoseconds rem;
+		div64_u64_rem(ns, SECOND_IN_NS, &rem);
 		if (consumer->sampling_interval < SECOND_IN_NS &&
-		    (ns % SECOND_IN_NS) >= consumer->sampling_interval) {
+		    rem >= consumer->sampling_interval) {
 			if (consumer->is_dropping == 0) {
 				consumer->is_dropping = 1;
 				record_drop_e(consumer, ns, drop_flags);
-- 
2.25.1

